import request from "@/utils/httpRequest";
import { FINANCE_PATH as prefix } from "../../AppPath";

export default class ManageLevelTypeService {
  list (params) {
    return request({
      url: prefix + '/cw_work_client/manage_level_type/list',
      method: 'get',
      params: params
    })
  }
  queryById (id) {
    return request({
      url: prefix + '/cw_work_client/manage_level_type/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  getList () {
    return request({
      url: prefix + '/cw_work_client/manage_level_type/getList',
      method: 'get',
      params: {}
    })
  }
  save (inputForm) {
    return request({
      url: prefix + `/cw_work_client/manage_level_type/save`,
      method: 'post',
      data: inputForm
    })
  }
  delete (ids) {
    return request({
      url: prefix + '/cw_work_client/manage_level_type/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }
}
